ata_bus_probe
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_bus_probe — Reset and probe ATA bus

## Synopsis

`int ata_bus_probe (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  Bus to probe

## Description

Master ATA bus probing function. Initiates a hardware-dependent bus reset, then attempts to identify any devices found on the bus.

## LOCKING

PCI/etc. bus probe sem.

## RETURNS

Zero on success, negative errno otherwise.

Prev | Up | Next
ata_dev_configure | Home | sata_down_spd_limit